org.glassfish.jersey.server.spi

## Interface Container

    @Contract
     @ConstrainedTo(value=SERVER)
    public interface Container

Jersey container service contract. The purpose of the container is to configure and host a single Jersey application.

Author:
  Marek Potociar
See Also:
  `ApplicationHandler`

### Field Summary

Fields
`static int` `DEFAULT_HTTP_PORT` Default container port number for HTTP protocol.
`static int` `DEFAULT_HTTPS_PORT` Default container port number for HTTPS protocol.

### Method Summary

All Methods Instance Methods Abstract Methods
`ApplicationHandler` `getApplicationHandler()` Get the Jersey server-side application handler associated with the container.
`ResourceConfig` `getConfiguration()` Return an immutable representation of the current `configuration`.
`void` `reload()` Reload the hosted Jersey application using the current `configuration`.
`void` `reload(ResourceConfig configuration)` Reload the hosted Jersey application using a new `configuration`.

### Field Detail

#### DEFAULT_HTTP_PORT

    static final int DEFAULT_HTTP_PORT

Default container port number for HTTP protocol.

Since:
  2.18
See Also:
  Constant Field Values

#### DEFAULT_HTTPS_PORT

    static final int DEFAULT_HTTPS_PORT

Default container port number for HTTPS protocol.

Since:
  2.18
See Also:
  Constant Field Values

### Method Detail

#### getConfiguration

    ResourceConfig getConfiguration()

Return an immutable representation of the current `configuration`.

Returns:
  current configuration of the hosted Jersey application.

#### getApplicationHandler

    ApplicationHandler getApplicationHandler()

Get the Jersey server-side application handler associated with the container.

Returns:
  Jersey server-side application handler associated with the container.

#### reload

    void reload()

Reload the hosted Jersey application using the current `configuration`.

#### reload

    void reload(ResourceConfig configuration)

Reload the hosted Jersey application using a new `configuration`.

Parameters:
  `configuration` - new configuration used for the reload.